> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch client data

> Fetch data from a system of record client



## OpenAPI

````yaml https://api.getcargo.io/openapi.json post /systemOfRecordIntegration/clients/fetch
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /systemOfRecordIntegration/clients/fetch:
    post:
      tags:
        - System of Record Integration - Clients
      summary: Fetch client data
      description: Fetch data from a system of record client
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                query:
                  type: string
                  title: Query
                  description: Query to fetch.
                limit:
                  title: Limit
                  description: Maximum number of records to fetch.
                  type: number
                offset:
                  title: Offset
                  description: Number of records to skip.
                  type: number
              required:
                - query
              additionalProperties: false
              title: Request body
              description: Request body schema.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: number
                    title: Count
                    description: Total number of records.
                  records:
                    type: array
                    items:
                      type: object
                      propertyNames:
                        type: string
                      additionalProperties: {}
                    title: Records
                    description: Fetched records.
                required:
                  - count
                  - records
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````